Community discussions

 
jimmyz
newbie
Topic Author
Posts: 45
Joined: Wed Jul 02, 2014 10:10 pm

Obsolete mangle rules

Wed May 03, 2017 12:38 pm

Hi,
I've been using the following mangle rules (found in this forum), for some time now. After upgrading to 6.39, I see them in red color with the comment "# p2p matcher is obsolete please use layer7 matcher instead"
# p2p matcher is obsolete please use layer7 matcher instead
add action=mark-packet chain=prerouting in-interface=ether1 new-packet-mark=QoS_8_In p2p=all-p2p passthrough=no
# p2p matcher is obsolete please use layer7 matcher instead
add action=mark-packet chain=postrouting new-packet-mark=QoS_8_Out out-interface=ether1 p2p=all-p2p passthrough=no
I also can guarantee you that I have no clue on what I should do. :)
Any help appreciated.
 
msatter
Forum Guru
Forum Guru
Posts: 1308
Joined: Tue Feb 18, 2014 12:56 am
Location: Netherlands / Nīderlande

Re: Obsolete mangle rules

Wed May 03, 2017 1:22 pm

From the change log: !) firewall - discontinued support for p2p matcher (old rules will become invalid);

So from 6.39 you can look at the lines but they don't do anything anymore except taking space.

Have a look in this part of the forum: viewtopic.php?p=596278#p596278
Two RB760iGS (hEX S) in series. One does PPPoE and both do IKEv2.
Running:
RouterOS 6.46Beta59 / Winbox 3.20 / MikroTik APP 1.3.7
Having an Android device, use https://github.com/M66B/NetGuard/releases (no root required)

Who is online

Users browsing this forum: No registered users and 64 guests